## mateweather-mateconf mateweather-mateconf |

## Synopsis

                        MateWeatherMateConf;
    MateWeatherMateConf *     mateweather_mateconf_new                  (const char *prefix);
    void                mateweather_mateconf_free                 (MateWeatherMateConf *ctx);
    MateConfClient *       mateweather_mateconf_get_client           (MateWeatherMateConf *ctx);
    WeatherLocation *   mateweather_mateconf_get_location         (MateWeatherMateConf *ctx);
    gchar *             mateweather_mateconf_get_full_key         (MateWeatherMateConf *ctx,
                                                             const gchar *key);
    void                mateweather_mateconf_set_bool             (MateWeatherMateConf *ctx,
                                                             const gchar *key,
                                                             gboolean the_bool,
                                                             GError **opt_error);
    void                mateweather_mateconf_set_int              (MateWeatherMateConf *ctx,
                                                             const gchar *key,
                                                             gint the_int,
                                                             GError **opt_error);
    void                mateweather_mateconf_set_string           (MateWeatherMateConf *ctx,
                                                             const gchar *key,
                                                             const gchar *the_string,
                                                             GError **opt_error);
    gboolean            mateweather_mateconf_get_bool             (MateWeatherMateConf *ctx,
                                                             const gchar *key,
                                                             GError **opt_error);
    gint                mateweather_mateconf_get_int              (MateWeatherMateConf *ctx,
                                                             const gchar *key,
                                                             GError **opt_error);
    gchar *             mateweather_mateconf_get_string           (MateWeatherMateConf *ctx,
                                                             const gchar *key,
                                                             GError **opt_error);

## Description

## Details

### MateWeatherMateConf

    typedef struct _MateWeatherMateConf MateWeatherMateConf;

### mateweather_mateconf_new ()

    MateWeatherMateConf *     mateweather_mateconf_new                  (const char *prefix);

`prefix` : |
Returns : |

### mateweather_mateconf_free ()

    void                mateweather_mateconf_free                 (MateWeatherMateConf *ctx);

`ctx` : |

### mateweather_mateconf_get_client ()

    MateConfClient *       mateweather_mateconf_get_client           (MateWeatherMateConf *ctx);

`ctx` : |
Returns : |

### mateweather_mateconf_get_location ()

    WeatherLocation *   mateweather_mateconf_get_location         (MateWeatherMateConf *ctx);

`ctx` : |
Returns : |

### mateweather_mateconf_get_full_key ()

    gchar *             mateweather_mateconf_get_full_key         (MateWeatherMateConf *ctx,
                                                             const gchar *key);

`ctx` : |
`key` : |
Returns : |

### mateweather_mateconf_set_bool ()

    void                mateweather_mateconf_set_bool             (MateWeatherMateConf *ctx,
                                                             const gchar *key,
                                                             gboolean the_bool,
                                                             GError **opt_error);

`ctx` : |
`key` : |
`the_bool` : |
`opt_error` : |

### mateweather_mateconf_set_int ()

    void                mateweather_mateconf_set_int              (MateWeatherMateConf *ctx,
                                                             const gchar *key,
                                                             gint the_int,
                                                             GError **opt_error);

`ctx` : |
`key` : |
`the_int` : |
`opt_error` : |

### mateweather_mateconf_set_string ()

    void                mateweather_mateconf_set_string           (MateWeatherMateConf *ctx,
                                                             const gchar *key,
                                                             const gchar *the_string,
                                                             GError **opt_error);

`ctx` : |
`key` : |
`the_string` : |
`opt_error` : |

### mateweather_mateconf_get_bool ()

    gboolean            mateweather_mateconf_get_bool             (MateWeatherMateConf *ctx,
                                                             const gchar *key,
                                                             GError **opt_error);

`ctx` : |
`key` : |
`opt_error` : |
Returns : |

### mateweather_mateconf_get_int ()

    gint                mateweather_mateconf_get_int              (MateWeatherMateConf *ctx,
                                                             const gchar *key,
                                                             GError **opt_error);

`ctx` : |
`key` : |
`opt_error` : |
Returns : |

### mateweather_mateconf_get_string ()

    gchar *             mateweather_mateconf_get_string           (MateWeatherMateConf *ctx,
                                                             const gchar *key,
                                                             GError **opt_error);

`ctx` : |
`key` : |
`opt_error` : |
Returns : |